Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL20

    java.lang.Object
      org.lwjgl.opengl.GL20

    public final class GL20

extends java.lang.Object

Field Summary
`static int` | `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH`
`static int` | `GL_ACTIVE_ATTRIBUTES`
`static int` | `GL_ACTIVE_UNIFORM_MAX_LENGTH`
`static int` | `GL_ACTIVE_UNIFORMS`
`static int` | `GL_ATTACHED_SHADERS`
`static int` | `GL_BLEND_EQUATION_ALPHA`
`static int` | `GL_BLEND_EQUATION_RGB`
`static int` | `GL_BOOL`
`static int` | `GL_BOOL_VEC2`
`static int` | `GL_BOOL_VEC3`
`static int` | `GL_BOOL_VEC4`
`static int` | `GL_COMPILE_STATUS`
`static int` | `GL_COORD_REPLACE` When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, or GetTexEnviv is POINT_SPRITE, then the value of <pname> may be:
`static int` | `GL_CURRENT_PROGRAM` Accepted by the <pname> argument of GetInteger:
`static int` | `GL_CURRENT_VERTEX_ATTRIB`
`static int` | `GL_DELETE_STATUS`
`static int` | `GL_DRAW_BUFFER0`
`static int` | `GL_DRAW_BUFFER1`
`static int` | `GL_DRAW_BUFFER10`
`static int` | `GL_DRAW_BUFFER11`
`static int` | `GL_DRAW_BUFFER12`
`static int` | `GL_DRAW_BUFFER13`
`static int` | `GL_DRAW_BUFFER14`
`static int` | `GL_DRAW_BUFFER15`
`static int` | `GL_DRAW_BUFFER2`
`static int` | `GL_DRAW_BUFFER3`
`static int` | `GL_DRAW_BUFFER4`
`static int` | `GL_DRAW_BUFFER5`
`static int` | `GL_DRAW_BUFFER6`
`static int` | `GL_DRAW_BUFFER7`
`static int` | `GL_DRAW_BUFFER8`
`static int` | `GL_DRAW_BUFFER9`
`static int` | `GL_FLOAT_MAT2`
`static int` | `GL_FLOAT_MAT3`
`static int` | `GL_FLOAT_MAT4`
`static int` | `GL_FLOAT_VEC2` Returned by the <type> parameter of GetActiveUniformARB:
`static int` | `GL_FLOAT_VEC3`
`static int` | `GL_FLOAT_VEC4`
`static int` | `GL_FRAGMENT_SHADER` Accepted by the <shaderType> argument of CreateShader and returned by the <params> parameter of GetShader{fi}vARB:
`static int` | `GL_FRAGMENT_SHADER_DERIVATIVE_HINT` Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_INFO_LOG_LENGTH`
`static int` | `GL_INT_VEC2`
`static int` | `GL_INT_VEC3`
`static int` | `GL_INT_VEC4`
`static int` | `GL_LINK_STATUS`
`static int` | `GL_LOWER_LEFT` Accepted by the <param> parameter of PointParameter{if}vARB:
`static int` | `GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS`
`static int` | `GL_MAX_DRAW_BUFFERS` Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAX_FRAGMENT_UNIFORM_COMPONENTS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_MAX_TEXTURE_COORDS`
`static int` | `GL_MAX_TEXTURE_IMAGE_UNITS`
`static int` | `GL_MAX_VARYING_FLOATS`
`static int` | `GL_MAX_VERTEX_ATTRIBS`
`static int` | `GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS`
`static int` | `GL_MAX_VERTEX_UNIFORM_COMPONENTS` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_POINT_SPRITE` Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of TexEnvi, TexEnviv, TexEnvf, TexEnvfv, GetTexEnviv, and GetTexEnvfv:
`static int` | `GL_POINT_SPRITE_COORD_ORIGIN` Accepted by the <pname> parameter of PointParameter{if}vARB, and the <pname> of Get:
`static int` | `GL_SAMPLER_1D`
`static int` | `GL_SAMPLER_1D_SHADOW`
`static int` | `GL_SAMPLER_2D`
`static int` | `GL_SAMPLER_2D_SHADOW`
`static int` | `GL_SAMPLER_3D`
`static int` | `GL_SAMPLER_CUBE`
`static int` | `GL_SHADER_OBJECT` Returned by the <params> parameter of GetObjectParameter{fi}vARB:
`static int` | `GL_SHADER_SOURCE_LENGTH`
`static int` | `GL_SHADER_TYPE` Accepted by the <pname> parameter of GetObjectParameter{fi}vARB:
`static int` | `GL_SHADING_LANGUAGE_VERSION` Accepted by the <name> parameter of GetString:
`static int` | `GL_STENCIL_BACK_FAIL`
`static int` | `GL_STENCIL_BACK_FUNC`
`static int` | `GL_STENCIL_BACK_PASS_DEPTH_FAIL`
`static int` | `GL_STENCIL_BACK_PASS_DEPTH_PASS`
`static int` | `GL_STENCIL_BACK_REF`
`static int` | `GL_STENCIL_BACK_VALUE_MASK`
`static int` | `GL_STENCIL_BACK_WRITEMASK`
`static int` | `GL_UPPER_LEFT`
`static int` | `GL_VALIDATE_STATUS`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_ENABLED` Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static int` | `GL_VERTEX_ATTRIB_ARRAY_NORMALIZED`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_POINTER` Accepted by the <pname> parameter of GetVertexAttribPointervARB:
`static int` | `GL_VERTEX_ATTRIB_ARRAY_SIZE`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_STRIDE`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_TYPE`
`static int` | `GL_VERTEX_PROGRAM_POINT_SIZE` Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_VERTEX_PROGRAM_TWO_SIDE`
`static int` | `GL_VERTEX_SHADER` Accepted by the <shaderType> argument of CreateShader and returned by the <params> parameter of GetShader{if}v:

Method Summary
`static void` | `glAttachShader(int program, int shader)`
`static void` | `glBindAttribLocation(int program, int index, java.nio.ByteBuffer name)`
`static void` | `glBlendEquationSeparate(int modeRGB, int modeAlpha)`
`static void` | `glCompileShader(int shader)`
`static int` | `glCreateProgram()`
`static int` | `glCreateShader(int type)`
`static void` | `glDeleteProgram(int program)`
`static void` | `glDeleteShader(int shader)`
`static void` | `glDetachShader(int program, int shader)`
`static void` | `glDisableVertexAttribArray(int index)`
`static void` | `glDrawBuffers(java.nio.IntBuffer buffers)`
`static void` | `glEnableVertexAttribArray(int index)`
`static void` | `glGetActiveAttrib(int program, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`static void` | `glGetActiveUniform(int program, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`static void` | `glGetAttachedShaders(int program, java.nio.IntBuffer count, java.nio.IntBuffer shaders)`
`static int` | `glGetAttribLocation(int program, java.nio.ByteBuffer name)`
`static void` | `glGetProgram(int program, int pname, java.nio.IntBuffer params)`
`static void` | `glGetProgramInfoLog(int program, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`static void` | `glGetShader(int shader, int pname, java.nio.IntBuffer params)`
`static void` | `glGetShaderInfoLog(int shader, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`static void` | `glGetShaderSource(int shader, java.nio.IntBuffer length, java.nio.ByteBuffer source)`
`static void` | `glGetUniform(int program, int location, java.nio.FloatBuffer params)`
`static void` | `glGetUniform(int program, int location, java.nio.IntBuffer params)`
`static int` | `glGetUniformLocation(int program, java.nio.ByteBuffer name)` Returns the location of the uniform with the specified name.
`static void` | `glGetVertexAttrib(int index, int pname, java.nio.DoubleBuffer params)`
`static void` | `glGetVertexAttrib(int index, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetVertexAttrib(int index, int pname, java.nio.IntBuffer params)`
`static java.nio.ByteBuffer` | `glGetVertexAttribPointer(int index, int pname, long result_size)`
`static boolean` | `glIsProgram(int program)`
`static boolean` | `glIsShader(int shader)`
`static void` | `glLinkProgram(int program)`
`static void` | `glShaderSource(int shader, java.nio.ByteBuffer string)` The ARB_shader_objects extension allows multiple, optionally null-terminated, source strings to define a shader program.
`static void` | `glStencilFuncSeparate(int face, int func, int ref, int mask)`
`static void` | `glStencilMaskSeparate(int face, int mask)`
`static void` | `glStencilOpSeparate(int face, int sfail, int dpfail, int dppass)`
`static void` | `glUniform1(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform1(int location, java.nio.IntBuffer values)`
`static void` | `glUniform1f(int location, float v0)`
`static void` | `glUniform1i(int location, int v0)`
`static void` | `glUniform2(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform2(int location, java.nio.IntBuffer values)`
`static void` | `glUniform2f(int location, float v0, float v1)`
`static void` | `glUniform2i(int location, int v0, int v1)`
`static void` | `glUniform3(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform3(int location, java.nio.IntBuffer values)`
`static void` | `glUniform3f(int location, float v0, float v1, float v2)`
`static void` | `glUniform3i(int location, int v0, int v1, int v2)`
`static void` | `glUniform4(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform4(int location, java.nio.IntBuffer values)`
`static void` | `glUniform4f(int location, float v0, float v1, float v2, float v3)`
`static void` | `glUniform4i(int location, int v0, int v1, int v2, int v3)`
`static void` | `glUniformMatrix2(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix3(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix4(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUseProgram(int program)`
`static void` | `glValidateProgram(int program)`
`static void` | `glVertexAttrib1d(int index, double x)`
`static void` | `glVertexAttrib1f(int index, float x)`
`static void` | `glVertexAttrib1s(int index, short x)`
`static void` | `glVertexAttrib2d(int index, double x, double y)`
`static void` | `glVertexAttrib2f(int index, float x, float y)`
`static void` | `glVertexAttrib2s(int index, short x, short y)`
`static void` | `glVertexAttrib3d(int index, double x, double y, double z)`
`static void` | `glVertexAttrib3f(int index, float x, float y, float z)`
`static void` | `glVertexAttrib3s(int index, short x, short y, short z)`
`static void` | `glVertexAttrib4d(int index, double x, double y, double z, double w)`
`static void` | `glVertexAttrib4f(int index, float x, float y, float z, float w)`
`static void` | `glVertexAttrib4Nub(int index, byte x, byte y, byte z, byte w)`
`static void` | `glVertexAttrib4s(int index, short x, short y, short z, short w)`
`static void` | `glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ByteBuffer buffer)`
`static void` | `glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.IntBuffer buffer)`
`static void` | `glVertexAttribPointer(int index, int size, boolean unsigned, boolean normalized, int stride, java.nio.ShortBuffer buffer)`
`static void` | `glVertexAttribPointer(int index, int size, boolean normalized, int stride, java.nio.DoubleBuffer buffer)`
`static void` | `glVertexAttribPointer(int index, int size, boolean normalized, int stride, java.nio.FloatBuffer buffer)`
`static void` | `glVertexAttribPointer(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SHADING_LANGUAGE_VERSION

    public static final int GL_SHADING_LANGUAGE_VERSION

  Accepted by the <name> parameter of GetString:

  See Also:
    Constant Field Values

### GL_CURRENT_PROGRAM

    public static final int GL_CURRENT_PROGRAM

  Accepted by the <pname> argument of GetInteger:

  See Also:
    Constant Field Values

### GL_SHADER_TYPE

    public static final int GL_SHADER_TYPE

  Accepted by the <pname> parameter of GetObjectParameter{fi}vARB:

  See Also:
    Constant Field Values

### GL_DELETE_STATUS

    public static final int GL_DELETE_STATUS

See Also:
  Constant Field Values

### GL_COMPILE_STATUS

    public static final int GL_COMPILE_STATUS

See Also:
  Constant Field Values

### GL_LINK_STATUS

    public static final int GL_LINK_STATUS

See Also:
  Constant Field Values

### GL_VALIDATE_STATUS

    public static final int GL_VALIDATE_STATUS

See Also:
  Constant Field Values

### GL_INFO_LOG_LENGTH

    public static final int GL_INFO_LOG_LENGTH

See Also:
  Constant Field Values

### GL_ATTACHED_SHADERS

    public static final int GL_ATTACHED_SHADERS

See Also:
  Constant Field Values

### GL_ACTIVE_UNIFORMS

    public static final int GL_ACTIVE_UNIFORMS

See Also:
  Constant Field Values

### GL_ACTIVE_UNIFORM_MAX_LENGTH

    public static final int GL_ACTIVE_UNIFORM_MAX_LENGTH

See Also:
  Constant Field Values

### GL_ACTIVE_ATTRIBUTES

    public static final int GL_ACTIVE_ATTRIBUTES

See Also:
  Constant Field Values

### GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

    public static final int GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

See Also:
  Constant Field Values

### GL_SHADER_SOURCE_LENGTH

    public static final int GL_SHADER_SOURCE_LENGTH

See Also:
  Constant Field Values

### GL_SHADER_OBJECT

    public static final int GL_SHADER_OBJECT

  Returned by the <params> parameter of GetObjectParameter{fi}vARB:

  See Also:
    Constant Field Values

### GL_FLOAT_VEC2

    public static final int GL_FLOAT_VEC2

  Returned by the <type> parameter of GetActiveUniformARB:

  See Also:
    Constant Field Values

### GL_FLOAT_VEC3

    public static final int GL_FLOAT_VEC3

See Also:
  Constant Field Values

### GL_FLOAT_VEC4

    public static final int GL_FLOAT_VEC4

See Also:
  Constant Field Values

### GL_INT_VEC2

    public static final int GL_INT_VEC2

See Also:
  Constant Field Values

### GL_INT_VEC3

    public static final int GL_INT_VEC3

See Also:
  Constant Field Values

### GL_INT_VEC4

    public static final int GL_INT_VEC4

See Also:
  Constant Field Values

### GL_BOOL

    public static final int GL_BOOL

See Also:
  Constant Field Values

### GL_BOOL_VEC2

    public static final int GL_BOOL_VEC2

See Also:
  Constant Field Values

### GL_BOOL_VEC3

    public static final int GL_BOOL_VEC3

See Also:
  Constant Field Values

### GL_BOOL_VEC4

    public static final int GL_BOOL_VEC4

See Also:
  Constant Field Values

### GL_FLOAT_MAT2

    public static final int GL_FLOAT_MAT2

See Also:
  Constant Field Values

### GL_FLOAT_MAT3

    public static final int GL_FLOAT_MAT3

See Also:
  Constant Field Values

### GL_FLOAT_MAT4

    public static final int GL_FLOAT_MAT4

See Also:
  Constant Field Values

### GL_SAMPLER_1D

    public static final int GL_SAMPLER_1D

See Also:
  Constant Field Values

### GL_SAMPLER_2D

    public static final int GL_SAMPLER_2D

See Also:
  Constant Field Values

### GL_SAMPLER_3D

    public static final int GL_SAMPLER_3D

See Also:
  Constant Field Values

### GL_SAMPLER_CUBE

    public static final int GL_SAMPLER_CUBE

See Also:
  Constant Field Values

### GL_SAMPLER_1D_SHADOW

    public static final int GL_SAMPLER_1D_SHADOW

See Also:
  Constant Field Values

### GL_SAMPLER_2D_SHADOW

    public static final int GL_SAMPLER_2D_SHADOW

See Also:
  Constant Field Values

### GL_VERTEX_SHADER

    public static final int GL_VERTEX_SHADER

  Accepted by the <shaderType> argument of CreateShader and returned by the <params> parameter of GetShader{if}v:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_COMPONENTS

    public static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_VARYING_FLOATS

    public static final int GL_MAX_VARYING_FLOATS

See Also:
  Constant Field Values

### GL_MAX_VERTEX_ATTRIBS

    public static final int GL_MAX_VERTEX_ATTRIBS

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS

    public static final int GL_MAX_TEXTURE_IMAGE_UNITS

See Also:
  Constant Field Values

### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

    public static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

See Also:
  Constant Field Values

### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

    public static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_COORDS

    public static final int GL_MAX_TEXTURE_COORDS

See Also:
  Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE

    public static final int GL_VERTEX_PROGRAM_POINT_SIZE

  Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE

    public static final int GL_VERTEX_PROGRAM_TWO_SIDE

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED

    public static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED

  Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE

    public static final int GL_VERTEX_ATTRIB_ARRAY_SIZE

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE

    public static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE

    public static final int GL_VERTEX_ATTRIB_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

    public static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

See Also:
  Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB

    public static final int GL_CURRENT_VERTEX_ATTRIB

See Also:
  Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER

    public static final int GL_VERTEX_ATTRIB_ARRAY_POINTER

  Accepted by the <pname> parameter of GetVertexAttribPointervARB:

  See Also:
    Constant Field Values

### GL_FRAGMENT_SHADER

    public static final int GL_FRAGMENT_SHADER

  Accepted by the <shaderType> argument of CreateShader and returned by the <params> parameter of GetShader{fi}vARB:

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

    public static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_FRAGMENT_SHADER_DERIVATIVE_HINT

    public static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT

  Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_DRAW_BUFFERS

    public static final int GL_MAX_DRAW_BUFFERS

  Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER0

    public static final int GL_DRAW_BUFFER0

See Also:
  Constant Field Values

### GL_DRAW_BUFFER1

    public static final int GL_DRAW_BUFFER1

See Also:
  Constant Field Values

### GL_DRAW_BUFFER2

    public static final int GL_DRAW_BUFFER2

See Also:
  Constant Field Values

### GL_DRAW_BUFFER3

    public static final int GL_DRAW_BUFFER3

See Also:
  Constant Field Values

### GL_DRAW_BUFFER4

    public static final int GL_DRAW_BUFFER4

See Also:
  Constant Field Values

### GL_DRAW_BUFFER5

    public static final int GL_DRAW_BUFFER5

See Also:
  Constant Field Values

### GL_DRAW_BUFFER6

    public static final int GL_DRAW_BUFFER6

See Also:
  Constant Field Values

### GL_DRAW_BUFFER7

    public static final int GL_DRAW_BUFFER7

See Also:
  Constant Field Values

### GL_DRAW_BUFFER8

    public static final int GL_DRAW_BUFFER8

See Also:
  Constant Field Values

### GL_DRAW_BUFFER9

    public static final int GL_DRAW_BUFFER9

See Also:
  Constant Field Values

### GL_DRAW_BUFFER10

    public static final int GL_DRAW_BUFFER10

See Also:
  Constant Field Values

### GL_DRAW_BUFFER11

    public static final int GL_DRAW_BUFFER11

See Also:
  Constant Field Values

### GL_DRAW_BUFFER12

    public static final int GL_DRAW_BUFFER12

See Also:
  Constant Field Values

### GL_DRAW_BUFFER13

    public static final int GL_DRAW_BUFFER13

See Also:
  Constant Field Values

### GL_DRAW_BUFFER14

    public static final int GL_DRAW_BUFFER14

See Also:
  Constant Field Values

### GL_DRAW_BUFFER15

    public static final int GL_DRAW_BUFFER15

See Also:
  Constant Field Values

### GL_POINT_SPRITE

    public static final int GL_POINT_SPRITE

  Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of TexEnvi, TexEnviv, TexEnvf, TexEnvfv, GetTexEnviv, and GetTexEnvfv:

  See Also:
    Constant Field Values

### GL_COORD_REPLACE

    public static final int GL_COORD_REPLACE

  When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, or GetTexEnviv is POINT_SPRITE, then the value of <pname> may be:

  See Also:
    Constant Field Values

### GL_POINT_SPRITE_COORD_ORIGIN

    public static final int GL_POINT_SPRITE_COORD_ORIGIN

  Accepted by the <pname> parameter of PointParameter{if}vARB, and the <pname> of Get:

  See Also:
    Constant Field Values

### GL_LOWER_LEFT

    public static final int GL_LOWER_LEFT

  Accepted by the <param> parameter of PointParameter{if}vARB:

  See Also:
    Constant Field Values

### GL_UPPER_LEFT

    public static final int GL_UPPER_LEFT

See Also:
  Constant Field Values

### GL_STENCIL_BACK_FUNC

    public static final int GL_STENCIL_BACK_FUNC

See Also:
  Constant Field Values

### GL_STENCIL_BACK_FAIL

    public static final int GL_STENCIL_BACK_FAIL

See Also:
  Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_FAIL

    public static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL

See Also:
  Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_PASS

    public static final int GL_STENCIL_BACK_PASS_DEPTH_PASS

See Also:
  Constant Field Values

### GL_STENCIL_BACK_REF

    public static final int GL_STENCIL_BACK_REF

See Also:
  Constant Field Values

### GL_STENCIL_BACK_VALUE_MASK

    public static final int GL_STENCIL_BACK_VALUE_MASK

See Also:
  Constant Field Values

### GL_STENCIL_BACK_WRITEMASK

    public static final int GL_STENCIL_BACK_WRITEMASK

See Also:
  Constant Field Values

### GL_BLEND_EQUATION_RGB

    public static final int GL_BLEND_EQUATION_RGB

See Also:
  Constant Field Values

### GL_BLEND_EQUATION_ALPHA

    public static final int GL_BLEND_EQUATION_ALPHA

See Also:
  Constant Field Values

Method Detail

### glShaderSource

    public static void glShaderSource(int shader,
                                      java.nio.ByteBuffer string)

  The ARB_shader_objects extension allows multiple, optionally null-terminated, source strings to define a shader program.

  This method uses just a single string, that should NOT be null-terminated.

  Parameters:
    `shader` -
    `string` -

### glCreateShader

    public static int glCreateShader(int type)

### glIsShader

    public static boolean glIsShader(int shader)

### glCompileShader

    public static void glCompileShader(int shader)

### glDeleteShader

    public static void glDeleteShader(int shader)

### glCreateProgram

    public static int glCreateProgram()

### glIsProgram

    public static boolean glIsProgram(int program)

### glAttachShader

    public static void glAttachShader(int program,
                                      int shader)

### glDetachShader

    public static void glDetachShader(int program,
                                      int shader)

### glLinkProgram

    public static void glLinkProgram(int program)

### glUseProgram

    public static void glUseProgram(int program)

### glValidateProgram

    public static void glValidateProgram(int program)

### glDeleteProgram

    public static void glDeleteProgram(int program)

### glUniform1f

    public static void glUniform1f(int location,
                                   float v0)

### glUniform2f

    public static void glUniform2f(int location,
                                   float v0,
                                   float v1)

### glUniform3f

    public static void glUniform3f(int location,
                                   float v0,
                                   float v1,
                                   float v2)

### glUniform4f

    public static void glUniform4f(int location,
                                   float v0,
                                   float v1,
                                   float v2,
                                   float v3)

### glUniform1i

    public static void glUniform1i(int location,
                                   int v0)

### glUniform2i

    public static void glUniform2i(int location,
                                   int v0,
                                   int v1)

### glUniform3i

    public static void glUniform3i(int location,
                                   int v0,
                                   int v1,
                                   int v2)

### glUniform4i

    public static void glUniform4i(int location,
                                   int v0,
                                   int v1,
                                   int v2,
                                   int v3)

### glUniform1

    public static void glUniform1(int location,
                                  java.nio.FloatBuffer values)

### glUniform2

    public static void glUniform2(int location,
                                  java.nio.FloatBuffer values)

### glUniform3

    public static void glUniform3(int location,
                                  java.nio.FloatBuffer values)

### glUniform4

    public static void glUniform4(int location,
                                  java.nio.FloatBuffer values)

### glUniform1

    public static void glUniform1(int location,
                                  java.nio.IntBuffer values)

### glUniform2

    public static void glUniform2(int location,
                                  java.nio.IntBuffer values)

### glUniform3

    public static void glUniform3(int location,
                                  java.nio.IntBuffer values)

### glUniform4

    public static void glUniform4(int location,
                                  java.nio.IntBuffer values)

### glUniformMatrix2

    public static void glUniformMatrix2(int location,
                                        boolean transpose,
                                        java.nio.FloatBuffer matrices)

### glUniformMatrix3

    public static void glUniformMatrix3(int location,
                                        boolean transpose,
                                        java.nio.FloatBuffer matrices)

### glUniformMatrix4

    public static void glUniformMatrix4(int location,
                                        boolean transpose,
                                        java.nio.FloatBuffer matrices)

### glGetShader

    public static void glGetShader(int shader,
                                   int pname,
                                   java.nio.IntBuffer params)

### glGetProgram

    public static void glGetProgram(int program,
                                    int pname,
                                    java.nio.IntBuffer params)

### glGetShaderInfoLog

    public static void glGetShaderInfoLog(int shader,
                                          java.nio.IntBuffer length,
                                          java.nio.ByteBuffer infoLog)

### glGetProgramInfoLog

    public static void glGetProgramInfoLog(int program,
                                           java.nio.IntBuffer length,
                                           java.nio.ByteBuffer infoLog)

### glGetAttachedShaders

    public static void glGetAttachedShaders(int program,
                                            java.nio.IntBuffer count,
                                            java.nio.IntBuffer shaders)

### glGetUniformLocation

    public static int glGetUniformLocation(int program,
                                           java.nio.ByteBuffer name)

  Returns the location of the uniform with the specified name. The ByteBuffer should contain the uniform name as a null-terminated string.

  Parameters:
    `program` -
    `name` -
  Returns:

### glGetActiveUniform

    public static void glGetActiveUniform(int program,
                                          int index,
                                          java.nio.IntBuffer length,
                                          java.nio.IntBuffer size,
                                          java.nio.IntBuffer type,
                                          java.nio.ByteBuffer name)

### glGetUniform

    public static void glGetUniform(int program,
                                    int location,
                                    java.nio.FloatBuffer params)

### glGetUniform

    public static void glGetUniform(int program,
                                    int location,
                                    java.nio.IntBuffer params)

### glGetShaderSource

    public static void glGetShaderSource(int shader,
                                         java.nio.IntBuffer length,
                                         java.nio.ByteBuffer source)

### glVertexAttrib1s

    public static void glVertexAttrib1s(int index,
                                        short x)

### glVertexAttrib1f

    public static void glVertexAttrib1f(int index,
                                        float x)

### glVertexAttrib1d

    public static void glVertexAttrib1d(int index,
                                        double x)

### glVertexAttrib2s

    public static void glVertexAttrib2s(int index,
                                        short x,
                                        short y)

### glVertexAttrib2f

    public static void glVertexAttrib2f(int index,
                                        float x,
                                        float y)

### glVertexAttrib2d

    public static void glVertexAttrib2d(int index,
                                        double x,
                                        double y)

### glVertexAttrib3s

    public static void glVertexAttrib3s(int index,
                                        short x,
                                        short y,
                                        short z)

### glVertexAttrib3f

    public static void glVertexAttrib3f(int index,
                                        float x,
                                        float y,
                                        float z)

### glVertexAttrib3d

    public static void glVertexAttrib3d(int index,
                                        double x,
                                        double y,
                                        double z)

### glVertexAttrib4s

    public static void glVertexAttrib4s(int index,
                                        short x,
                                        short y,
                                        short z,
                                        short w)

### glVertexAttrib4f

    public static void glVertexAttrib4f(int index,
                                        float x,
                                        float y,
                                        float z,
                                        float w)

### glVertexAttrib4d

    public static void glVertexAttrib4d(int index,
                                        double x,
                                        double y,
                                        double z,
                                        double w)

### glVertexAttrib4Nub

    public static void glVertexAttrib4Nub(int index,
                                          byte x,
                                          byte y,
                                          byte z,
                                          byte w)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             boolean normalized,
                                             int stride,
                                             java.nio.DoubleBuffer buffer)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             boolean normalized,
                                             int stride,
                                             java.nio.FloatBuffer buffer)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             boolean unsigned,
                                             boolean normalized,
                                             int stride,
                                             java.nio.ByteBuffer buffer)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             boolean unsigned,
                                             boolean normalized,
                                             int stride,
                                             java.nio.IntBuffer buffer)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             boolean unsigned,
                                             boolean normalized,
                                             int stride,
                                             java.nio.ShortBuffer buffer)

### glVertexAttribPointer

    public static void glVertexAttribPointer(int index,
                                             int size,
                                             int type,
                                             boolean normalized,
                                             int stride,
                                             long buffer_buffer_offset)

### glEnableVertexAttribArray

    public static void glEnableVertexAttribArray(int index)

### glDisableVertexAttribArray

    public static void glDisableVertexAttribArray(int index)

### glGetVertexAttrib

    public static void glGetVertexAttrib(int index,
                                         int pname,
                                         java.nio.FloatBuffer params)

### glGetVertexAttrib

    public static void glGetVertexAttrib(int index,
                                         int pname,
                                         java.nio.DoubleBuffer params)

### glGetVertexAttrib

    public static void glGetVertexAttrib(int index,
                                         int pname,
                                         java.nio.IntBuffer params)

### glGetVertexAttribPointer

    public static java.nio.ByteBuffer glGetVertexAttribPointer(int index,
                                                               int pname,
                                                               long result_size)

### glBindAttribLocation

    public static void glBindAttribLocation(int program,
                                            int index,
                                            java.nio.ByteBuffer name)

### glGetActiveAttrib

    public static void glGetActiveAttrib(int program,
                                         int index,
                                         java.nio.IntBuffer length,
                                         java.nio.IntBuffer size,
                                         java.nio.IntBuffer type,
                                         java.nio.ByteBuffer name)

### glGetAttribLocation

    public static int glGetAttribLocation(int program,
                                          java.nio.ByteBuffer name)

### glDrawBuffers

    public static void glDrawBuffers(java.nio.IntBuffer buffers)

### glStencilOpSeparate

    public static void glStencilOpSeparate(int face,
                                           int sfail,
                                           int dpfail,
                                           int dppass)

### glStencilFuncSeparate

    public static void glStencilFuncSeparate(int face,
                                             int func,
                                             int ref,
                                             int mask)

### glStencilMaskSeparate

    public static void glStencilMaskSeparate(int face,
                                             int mask)

### glBlendEquationSeparate

    public static void glBlendEquationSeparate(int modeRGB,
                                               int modeAlpha)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.